Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.jts
Class ExplicitInterposition

    java.lang.Object
      com.arjuna.ats.jts.ExplicitInterposition

public class ExplicitInterposition
extends java.lang.Object

This class is responsible for doing interposition in the case where implicit context propagation is not possible.

Since:
  JTS 1.0.
Version:
  $Id: ExplicitInterposition.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark_little@hp.com)

Constructor Summary
`ExplicitInterposition()` Create a new instance and remember any current transaction that may be associated with the invoking thread so that it can be restored once interposition has finished.
`ExplicitInterposition(boolean remember)` Create a new instance.
`ExplicitInterposition(org.omg.CosTransactions.Control action, boolean remember)` Create a new instance and interpose with the specified transaction.
`ExplicitInterposition(org.omg.CosTransactions.PropagationContext ctx, boolean remember)` Create a new instance and interpose with the specified transaction.

Method Summary
`void` | `finalize()`
`void` | `registerTransaction(org.omg.CosTransactions.Control action)` Perform interposition with the specified transaction.
`void` | `unregisterTransaction()` We need this explicit method because we cannot rely upon the object "destructor" being called by the time the method which instantiated the interposition class ends!

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExplicitInterposition

    public ExplicitInterposition()

  Create a new instance and remember any current transaction that may be associated with the invoking thread so that it can be restored once interposition has finished.

### ExplicitInterposition

    public ExplicitInterposition(boolean remember)

  Create a new instance. Depending upon the value of the boolean parameter, remember any current transaction that may be associated with the invoking thread so that it can be restored once interposition has finished.

### ExplicitInterposition

    public ExplicitInterposition(org.omg.CosTransactions.Control action,
                                 boolean remember)
                          throws com.arjuna.ArjunaOTS.InterpositionFailed,
                                 org.omg.CORBA.SystemException

  Create a new instance and interpose with the specified transaction. Depending upon the value of the boolean parameter, remember any current transaction that may be associated with the invoking thread so that it can be restored once interposition has finished.

### ExplicitInterposition

    public ExplicitInterposition(org.omg.CosTransactions.PropagationContext ctx,
                                 boolean remember)
                          throws com.arjuna.ArjunaOTS.InterpositionFailed,
                                 org.omg.CORBA.SystemException

  Create a new instance and interpose with the specified transaction. Depending upon the value of the boolean parameter, remember any current transaction that may be associated with the invoking thread so that it can be restored once interposition has finished.

Method Detail

### finalize

    public void finalize()

### registerTransaction

    public final void registerTransaction(org.omg.CosTransactions.Control action)
                                   throws com.arjuna.ArjunaOTS.InterpositionFailed,
                                          org.omg.CORBA.SystemException

  Perform interposition with the specified transaction.

  Throws:
    `com.arjuna.ArjunaOTS.InterpositionFailed`
    `org.omg.CORBA.SystemException`

### unregisterTransaction

    public void unregisterTransaction()
                               throws org.omg.CORBA.SystemException

  We need this explicit method because we cannot rely upon the object "destructor" being called by the time the method which instantiated the interposition class ends!

  Throws:
    `org.omg.CORBA.SystemException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD